echo off

echo %PROCESSOR_ARCHITECTURE% | findstr 64 > nul
@if ERRORLEVEL 1 (
    REG DELETE "HKLM\SOFTWARE\Adobe\Photoshop\7.0" /f
)else @if ERRORLEVEL 0 (
    REG DELETE "HKLM\SOFTWARE\Wow6432Node\Adobe\Photoshop\7.0" /f
)
exit